<?php

class zVms
{

    public $database;

    public $campaigns;
    public $stats;
    public $ptc;
    public $reloads;
    

    public function __construct($database)
    {
        $this->database = $database;

        require_once( __DIR__ . '/zCampaigns.php' );
        require_once( __DIR__ . '/zStats.php' );
        require_once( __DIR__ . '/zPtc.php' );
        require_once( __DIR__ . '/zReloads.php' );

        $this->campaigns = new zCampaigns($this);
        $this->stats     = new zStats($this);
        $this->ptc       = new zPtc($this);
        $this->reloads   = new zReloads($this);

    }   

}
