
        var adFenster = new Array();

        window.addEventListener("message", function(event)
            {
                if ( pageconfig['domain'] != event.origin )
                {
                    return;
                }
                var art = event.data['art'],
                    tan = event.data['tan'],
                    action = event.data['action'];
                
                if( 'adcheck' == action )
                {
                    adFenster[art][tan]['opened'] = true;

                }
            }   
        );

        function checkAdOk( art, tan, use_frame )
        {
            if( 0 !== use_frame || (false == adFenster[art][tan]['checked'] && false == adFenster[art][tan]['window'].closed) )
            {
                var pdata = window.btoa(art) + '-' + window.btoa(tan)
                if( 0 == use_frame )
                    adFenster[art][tan]['checked'] = true;
                    
                $.post( "ext/ap/ads.php",
                    {
                        'action': "checkAdOk",
                        'art': art,
                        'tan': tan
                    },
                    function(data, status)
                    {
                        if( 0 == use_frame )
                            window.open(pageconfig['domain']+'/adcheck.php?data='+pdata, art+'-'+tan, "height=120,width=200");
                        else
                            use_frame( status, data );
                    }
                );
            }
        }

        /*
        * if u do something wrong, sorry no matter which ad was active, invalidate 
        */
        function invalidateAd( art, tan )
        {
            if(  undefined !== adFenster[art] )
                adFenster[art][tan]['checked'] = true;

            var pdata = window.btoa(art) + '-' + window.btoa(tan)
            $.post( "ext/ap/ads.php",
                {
                    'action': "invalidateAd"
                },
                function(data, status)
                {
                    try
                    {
                        if( undefined != adFenster[art][tan]['checked'] )
                            window.open(pageconfig['domain']+'/adcheck.php?data='+pdata, art+'-'+tan, "height=120,width=200");
                    }
                    catch(e) { } // wurscht
                }
            );


        }

        async function startAdCountdown( art, tan, sec, use_frame )
        {
            var sec_done = -1;
            let timer = setInterval( () =>
                {
                    if( 0 == use_frame )
                    {
                        if( true == adFenster[art][tan]['checked'] )
                        {
                            clearInterval(timer);
                        } else {
                            if(  document.hasFocus() )
                            {
                                invalidateAd( art, tan );
                                clearInterval(timer);
                            }
                            try
                            {
                                if ( adFenster[art][tan]['window'].closed )
                                {
                                    invalidateAd( art, tan );
                                    clearInterval(timer);
                                }
                            }
                            catch (e)
                            {
                                invalidateAd( art, tan );
                                clearInterval(timer);
                            }
                        }
                    }
                    if( 0 != use_frame )
                    {
                        if( sec_done >= sec )
                        {
                            checkAdOk( art, tan, use_frame );
                            clearInterval(timer);
                        }
                        sec_done++;
                        use_frame( sec_done, false );
                    }
                },
                1000
            );
            if( 0 == use_frame )
            {
                await sleep(sec * 1000);
                checkAdOk( art, tan, 0 );
            }
        }


        /*
        * communicates with ad window, placing detection of actual click
        */
        function openAdWindow( art, tan, sec, use_frame )
        {
            if ( 'undefined' == typeof adFenster[art] || (! adFenster[art] instanceof Array ) )
            {
                adFenster[art] = new Array();
            }

            if ( 'undefined' == typeof adFenster[art][tan] || (! adFenster[art][tan] instanceof Array ) )
            {
                adFenster[art][tan] = new Array();
            }

            if( ( 'undefined' == adFenster[art][tan]['window'] || null == adFenster[art][tan]['window'] ) || adFenster[art][tan]['window'].closed )
            {
                var data = window.btoa(art) + '-' + window.btoa(tan);
                adFenster[art][tan]['window'] = window.open( pageconfig['domain'] + '/adclick.php?data='+data, "_blank" );

                adFenster[art][tan]['window'].focus();
                adFenster[art][tan]['opened'] = false;
                adFenster[art][tan]['checked']= false;

                if( 0 == use_frame )
                {
                    adFenster[art][tan]['window'].onbeforeunload = function()
                    {
                        startAdCountdown( art, tan, sec, use_frame );
                    }
                }
            }
        }


        /*
        * gets executed first, loads available ads and prepares the bootstrap <ul>-list for display
        */
        function loadAds( ad_type, ad_cat, fn)
        {
            $.post( "ext/ap/ads.php",
                {
                    'action': ad_cat,
                    'adArt' : ad_type
                },
                fn
            );
        }
